/*
 * Copyright © 2020-2023 Fachhochschule für die Wirtschaft (FHDW) Hannover
 *
 * This file is part of gaming-gui.
 *
 * Gaming-gui is free software: you can redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * Gaming-gui is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with gaming-gui. If not, see
 * <http://www.gnu.org/licenses/>.
 */
module de.fhdw.gaming.gui {

    requires transitive de.fhdw.gaming.core;

    requires transitive javafx.base;
    requires transitive javafx.controls;
    requires transitive javafx.graphics;
    requires transitive javafx.fxml;
    requires javafx.swing;
    requires com.twelvemonkeys.imageio.batik;

    exports de.fhdw.gaming.gui;
    exports de.fhdw.gaming.gui.util;

    provides de.fhdw.gaming.core.domain.ObserverFactory with de.fhdw.gaming.gui.LogObserverFactory;

    uses de.fhdw.gaming.gui.GuiObserverFactory;

    opens de.fhdw.gaming.gui;
}
